#include <iostream>
#include <cstdlib>

using namespace std;

enum {
	PLUS, MINUS, MULT, DIV, MOD, 
	X, SEMICOLON, LPAR, RPAR,
	BAD
};

const char* syname[] = {
	"PLUS", "MINUS", "MULT", "DIV", "MOD", 
	"X", "SEMICOLON", "LPAR", "RPAR",
	"BAD"
};
	
int tok;

int GetTok(void)
{
	int  ch;
	cin >> ws;			// ws = white space 
	ch= cin.get();
	switch(ch) {
		case 'X':
		case 'x': 	tok= X;
					break;
		case '+': 	tok= PLUS;
					break;
		case '-': 	tok= MINUS;
					break;
		case '*':	tok= MULT;
					break;
		case '/':	tok= DIV;
					break;
		case '%':	tok= MOD;
					break;
		case '(':	tok= LPAR;
					break;
		case ')':	tok= LPAR;
					break;
		case ';':	tok= SEMICOLON;
					break;
		default:	tok= BAD;
					break;
	}
	return tok;
}




int main(int argc, char *argv[])
{
	do {
		GetTok();
		cout << syname[tok] << endl;
	} while (tok != BAD);
	return EXIT_SUCCESS;
}
